> For the complete documentation index, see [llms.txt](https://docs.abtasty.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abtasty.com/emotions-ai/using-emotionsai/use-emotionsai-targeting-on-hard-coded-personalizations.md).

# Use EmotionsAI targeting on hard-coded personalizations

Depending on how your personalizations are coded on your website, you will have various ways to connect with EmotionsAI in order to target your audience on EmotionsAI segments:

**Front-end personalizations**

**If your personalization is front-end**, you simply have to read the localStorage and display conditions according to the `eai` segment value in `ABTastyData`

Example:&#x20;

```
const abTastyData = JSON.parse(localStorage.getItem('ABTastyData'));
if (abTastyData?.eai?.segment === "Competition") {
  // code to display the right personalization or modification
}
```

**Back-end personalizations**

**If your personalization is back-end**, you have two options:

1. AB Tasty can push the user’s segment to your API using the user ID. In that case, AB Tasty will create a personalized tag for you to make it work.
2. You can recover the data from the front (using localStorage) and push it to your backend API.&#x20;

Once your data is retrieved from the backend, you can generate your HTML page according to the user segment.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.abtasty.com/emotions-ai/using-emotionsai/use-emotionsai-targeting-on-hard-coded-personalizations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
